This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 835702 - [as7] Error updating local cache resource configuration
[as7] Error updating local cache resource configuration
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 826066 833089 835697
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-26 17:08 EDT by Stefan Negrea
Modified: 2013-09-03 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 833089
Environment:
Last Closed: 2013-09-03 11:18:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-26 17:08:43 EDT
+++ This bug was initially created as a clone of Bug #833089 +++

Description of problem:
Local cache resource of Infinispan does not have 'mode' property like other cache resources yet the configuration property is in the AS7 plugin descriptor. This causes an error when attempting to save the configuration for  any resource of local cache type.

How reproducible:
Every time

Steps to Reproduce:
1. Discovery and import a standalone AS7 server.
2. Navigate to subsystem=infinispan,cache-container=hibernate,local-cache=local-query
3. Attempt to save the configuration for the local cache resource
  
Actual results:
Error:
{JBAS014653: Composite operation failed and was rolled back. Steps that failed:={Operation step-1=JBAS014792: Unknown attribute mode}}

Expected results:
Resource configuration is saved properly.


Additional info:
This does not affect other cache types since they have the mode property available. This error is due to local cache sharing the same configuration descriptor with other types of cache resources.

--- Additional comment from snegrea@redhat.com on 2012-06-18 11:17:01 EDT ---
Created a separate Local Cache resource descriptor with properties only applicable to this resource type.
Comment 2 John Sanda 2012-08-02 14:52:10 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-07 12:47:19 EDT
verified.
Comment 4 Heiko W. Rupp 2013-09-03 11:18:11 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.